#ifndef _CONFIG_H
#define _CONFIG_H

/*
 * NO platform-specific definitions should be placed in this file.
 */

/*
 * SHARED DEFINITIONS - things you should change
 */

#define CAN_SYSLOG
#define DEBUG
#define OPENLOG_OPTIONS LOG_PID

/*********************************************************************
 *                                                                   *
 * You probably do not need to edit anything below this point        *
 *                                                                   *
 *********************************************************************/

#define MAX_ARGC      100
#define MAX_ZEICHEN   100
#define REALLOC_CNT   10
#define DEFAULT_CAN_DEV "/dev/can"

/*
 * SHARED DEFINITIONS - other things you can change
 */
	/* default attribute to use when sorting entries, NULL => sort by DN */
#define SORT_ATTR	NULL
	/* default count of DN components to show in entry displays */
#define DEFAULT_RDNCOUNT	2
	/* default config file locations */
#define FILTERFILE	"/etc/ldap/ldapfilter.conf"
#define TEMPLATEFILE	"/etc/ldap/ldaptemplates.conf"
#define SEARCHFILE	"/etc/ldap/ldapsearchprefs.conf"
#define FRIENDLYFILE	"/etc/ldap/ldapfriendly"

	/* location of the default slapd config file */
#define DEFAULT_CONFIGFILE	"/etc/ldap/slapd.conf"
	/* location of the slapd pid file */
#define PIDFILE			"/var/run/slapd.pid"
	/* location of the slapd args file */
#define ARGSFILE			"/var/run/slapd.args"

#endif /* _CONFIG_H */
